package com.ruoyi.sy.mapper;

import java.util.List;
import java.util.Map;

import com.ruoyi.sy.domain.SyTestExaminee;

/**
 * 测评人员Mapper接口
 * 
 * @author mingxue
 * @date 2022-03-02
 */
public interface SyTestExamineeMapper 
{
    /**
     * 查询测评人员
     * 
     * @param examineeId 测评人员ID
     * @return 测评人员
     */
    public SyTestExaminee selectSyTestExamineeById(Long examineeId);

    public List<SyTestExaminee> selectSyTestExamineeLatest(Map cond);

    /**
     * 查询测评人员列表
     * 
     * @param syTestExaminee 测评人员
     * @return 测评人员集合
     */
    public List<SyTestExaminee> selectSyTestExamineeList(SyTestExaminee syTestExaminee);

    /**
     * 新增测评人员
     * 
     * @param syTestExaminee 测评人员
     * @return 结果
     */
    public int insertSyTestExaminee(SyTestExaminee syTestExaminee);

    /**
     * 修改测评人员
     * 
     * @param syTestExaminee 测评人员
     * @return 结果
     */
    public int updateSyTestExaminee(SyTestExaminee syTestExaminee);

    /**
     * 删除测评人员
     * 
     * @param examineeId 测评人员ID
     * @return 结果
     */
    public int deleteSyTestExamineeById(Long examineeId);

    /**
     * 批量删除测评人员
     * 
     * @param examineeIds 需要删除的数据ID
     * @return 结果
     */
    public int deleteSyTestExamineeByIds(Long[] examineeIds);
}
